Skip to main content
GET
/
destinations
/
{destination_id}
/
data-integrity
List data integrity jobs for a destination
curl --request GET \
  --url https://api.prequel.co/destinations/{destination_id}/data-integrity \
  --header 'X-API-KEY: <api-key>'
{
  "status": "<string>",
  "data": {
    "jobs": [
      {
        "id": "<string>",
        "org_schema": "<string>",
        "submitted_at": "2023-11-07T05:31:56Z",
        "started_at": "2023-11-07T05:31:56Z",
        "ended_at": "2023-11-07T05:31:56Z",
        "destination_id": "<string>",
        "status": "<string>",
        "model_ids": [
          "<string>"
        ],
        "model_sample_primary_ids": {},
        "data_integrity_results": [
          {
            "model_name": "<string>",
            "is_healthy": true,
            "error_message": "<string>",
            "sampling_rate": 123,
            "total_rows_compared": 123,
            "total_rows_stale": 123,
            "total_rows_pending": 123,
            "total_rows_missing": 123,
            "total_rows_incorrect": 123,
            "total_rows_orphaned": 123,
            "mismatched_partitions": [
              {
                "source_row_count": 123,
                "destination_row_count": 123,
                "last_modified_lower_bound_epoch": 123,
                "last_modified_upper_bound_epoch": 123
              }
            ]
          }
        ],
        "log_message": "<string>"
      }
    ]
  },
  "message": "<string>",
  "has_next": true,
  "next_url": "<string>"
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

destination_id
string
required

Destination ID.

Query Parameters

page_size
integer

Number of items to return per page.

order
enum<string>

Sort order for items

Available options:
asc,
desc
cursor
string

Used for pagination - represents last page seen. Value is included in response when there is a next page.

Response

OK

status
string
required
Allowed value: "success"
data
object
required
message
string
required
has_next
boolean
required

Whether there are more items beyond this page.

next_url
string

Full URL to fetch the next page. Only present when has_next is true.